## EntangleImage

EntangleImage — a media file representing a static image

## Functions

EntangleImage * | entangle_image_new_file ()
EntangleImage * | entangle_image_new_pixbuf ()
GdkPixbuf * | entangle_image_get_pixbuf ()
void | entangle_image_set_pixbuf ()

## Properties

GdkPixbuf * | pixbuf | Read / Write

## Types and Values

#define | ENTANGLE_TYPE_IMAGE
| EntangleImage

## Object Hierarchy

        GObject
        ╰── EntangleMedia
            ╰── EntangleImage

## Description

The EntangleImage object provides a media file that represents a static image.

## Functions

### entangle_image_new_file ()

    EntangleImage *
    entangle_image_new_file (const char *filename);

Create a new image instance for the image stored in `filename` .

#### Parameters

filename | the filename of the image. | [transfer none]

#### Returns

the new image.

[transfer full]

### entangle_image_new_pixbuf ()

    EntangleImage *
    entangle_image_new_pixbuf (GdkPixbuf *pixbuf);

Create a new image instance for the image data stored in `pixbuf`

#### Parameters

pixbuf | the pixbuf instance. | [transfer none]

#### Returns

the new image.

[transfer full]

### entangle_image_get_pixbuf ()

    GdkPixbuf *
    entangle_image_get_pixbuf (EntangleImage *image);

Get the pixbuf associated with the image, if it is available

#### Parameters

image | the image instance. | [transfer none]

#### Returns

the image pixbuf or NULL.

[transfer none]

### entangle_image_set_pixbuf ()

    void
    entangle_image_set_pixbuf (EntangleImage *image,
                               GdkPixbuf *pixbuf);

Set the pixbuf associated with the image

#### Parameters

image | the image instance. | [transfer none]
pixbuf | the new pixbuf. | [transfer none]

## Types and Values

### ENTANGLE_TYPE_IMAGE

    #define ENTANGLE_TYPE_IMAGE (entangle_image_get_type())

### EntangleImage

    typedef struct _EntangleImage EntangleImage;

## Property Details

### The `“pixbuf”` property

      “pixbuf”                   GdkPixbuf *

Image pixbuf.

Owner: EntangleImage

Flags: Read / Write